Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PdfBool Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfBool (bool val)
virtual const PdfBool * | boolean () const
virtual void | write (Stream &stream) const
bool | value () const
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const
virtual const PdfNumber * | number () const
virtual const PdfString * | string () const
virtual const PdfName * | name () const
virtual const PdfRef * | ref () const
virtual const PdfArray * | array () const
virtual const PdfDict * | dict () const
String | repr () const

## Detailed Description

The PDF bool object.

## Constructor & Destructor Documentation

ipe::PdfBool::PdfBool | ( | bool | val | ) |

inlineexplicit

## Member Function Documentation

const PdfBool * PdfBool::boolean | ( |  | ) | const

virtual

Return this object as PDF bool object.

Reimplemented from ipe::PdfObj.

void PdfBool::write | ( | Stream & | stream | ) | const

virtual

Implements ipe::PdfObj.

bool ipe::PdfBool::value | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp